%define upstream_name    Test-Count
%define upstream_version 0.0801

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A standalone command line
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Parse::RecDescent)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Test::Count is a set of perl modules for keeping track of the number of
tests in a test file. It works by putting in comments of the form '# TEST'
(one test), '# TEST*$EXPR' or '# TEST+$EXPR' (both are multiple tests).
Test::Count count these tests throughout the fileand return all of their
results.

One can put any mathematical expressions (using parentheses, '+', '-', '*',
'/' and '%' there). One can also assign variables using '#
TEST:$myvar=5+6;$second_var=$myvar+3' and later use them in the add to
count expressions. A '$var++' construct is also available.

One can find example test scripts under t/.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes META.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jul 28 2011 kharec <kharec> 0.80.100-1.mga2
+ Revision: 130221
- update to 0.0801

* Thu Jul 14 2011 shlomif <shlomif> 0.70.200-1.mga2
+ Revision: 124168
- imported package perl-Test-Count


* Sat Jul 02 2011 cpan2dist 0.0702-1mga
- initial mageia release, generated with cpan2dist
